Bug 252223 - Review Request: eclipse-rse - Remote System Explorer for eclipse
Review Request: eclipse-rse - Remote System Explorer for eclipse
Status: CLOSED DUPLICATE of bug 507958
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-14 15:51 EDT by Alphonse Van Assche
Modified: 2010-01-25 19:03 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-28 09:57:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alphonse Van Assche 2007-08-14 15:51:21 EDT
Spec URL: http://download.tuxfamily.org/borsalino/7/SPECS/eclipse-rse.spec
SRPM URL: http://download.tuxfamily.org/borsalino/7/SRPMS/eclipse-rse-2.0.0.1-1.fc7.src.rpm
Description: Remote System Explorer (RSE) is a framework and toolkit in Eclipse Workbench that allows you to connect and work with a variety of remote systems.

All seems to work like expect with the GCJ version in F-7 and the rawhide eclipse (3.3.0-5). There is just a strange bug when the package is build in mock (at less here).
Comment 1 Alphonse Van Assche 2007-09-01 11:27:29 EDT
Spec URL: http://download.tuxfamily.org/borsalino/7/SPECS/eclipse-rse.spec
SRPM URL:
http://download.tuxfamily.org/borsalino/7/SRPMS/eclipse-rse-2.0.0.1-2.fc7.src.rpm

- Don't build the debug package.
- Fix the License tag. 
- Fix Required-Start/Stop in the initscript according with /FCNewInit/Initscripts.
Comment 2 Alphonse Van Assche 2007-09-01 11:31:25 EDT
Oups, I no more update the specfile there, here are the correct paths.
Spec: http://alcapcom.fedorapeople.org/SPECS/eclipse-rse.spec 
SRPM: http://alcapcom.fedorapeople.org/SRPMS/eclipse-rse-2.0.0.1-2.fc7.src.rpm

Sorry for the noise.
Comment 3 Alphonse Van Assche 2007-09-16 07:00:13 EDT
FYI, GCJ crash[1] during the native build of org.eclipse.dstore.extra bundle,
look that resoable to disable native build while this bug is not solved?

Spec: http://alcapcom.fedorapeople.org/SPECS/eclipse-rse.spec 
SRPM: http://alcapcom.fedorapeople.org/SRPMS/eclipse-rse-2.0.1-5.fc7.src.rpm

* Thu Sep 13 2007 Alphonse Van Assche <alcapcom@fedoraproject.org> 2.0.1-5
- Let all bundles packed.
- With IcedTea org.apache.oro and org.apache.commons.net don't give troubles
  when the javadoc is builded.
- Add remotecdt sub package.

[1] https://bugzilla.redhat.com/show_bug.cgi?id=292411
Comment 4 Alphonse Van Assche 2007-09-27 15:23:35 EDT
Ok, just don't build org.eclipse.dstore.extra package natively (aot-compile-rpm
--exclude). Now the package seems to be good to be in. 

Spec: http://alcapcom.fedorapeople.org/SPECS/eclipse-rse.spec 
SRPM: http://alcapcom.fedorapeople.org/SRPMS/eclipse-rse-2.0.1-5.fc7.src.rpm

Comment 5 Andrew Overholt 2008-04-09 11:55:07 EDT
Alphonse:  are there any changes necessary to this package to meet the
recently-approved guidelines?
Comment 6 Alphonse Van Assche 2008-04-10 05:35:23 EDT
Not sure, I should take a look on it evening.
Comment 7 Jason Tibbitts 2008-10-03 13:25:26 EDT
This fails to build for me on current rawhide:

/bin/sh -x /usr/share/eclipse/buildscripts/copy-platform SDK /usr/share/eclipse cdt
/bin/sh: /usr/share/eclipse/buildscripts/copy-platform: No such file or directory

I gather there's another way to do this these days.  Did you still want to submit this package?  Would you post one that builds?
Comment 8 Alphonse Van Assche 2008-10-04 08:42:00 EDT
(In reply to comment #7)
> This fails to build for me on current rawhide:
> 
> /bin/sh -x /usr/share/eclipse/buildscripts/copy-platform SDK /usr/share/eclipse
> cdt
> /bin/sh: /usr/share/eclipse/buildscripts/copy-platform: No such file or
> directory
> 
> I gather there's another way to do this these days. 
Yes there is one
> Did you still want to submit this package?  Would you post one that builds?
Yes but I'm currently too busy, I hope to have more time to spent on fedora this month.

Cheers,
Alphonse
Comment 9 Jason Tibbitts 2008-10-04 10:46:45 EDT
Please clear the status whiteboard when this is ready for a review.
Comment 10 Alexander Kurtakov 2009-07-28 09:57:29 EDT
Newer version reviewed and imported from another review request.

*** This bug has been marked as a duplicate of bug 507958 ***

Note You need to log in before you can comment on or make changes to this bug.